Package com.xebialabs.xlrelease.domain.events

# Class RolesSnapshotCreated$

java.lang.Object
scala.runtime.AbstractFunction4<scala.Option<String>,scala.Option<String>,Object,Date,RolesSnapshotCreated>
com.xebialabs.xlrelease.domain.events.RolesSnapshotCreated$

All Implemented Interfaces:
  `Serializable`, `scala.Function4<scala.Option<String>,scala.Option<String>,Object,Date,RolesSnapshotCreated>`

public class RolesSnapshotCreated$ extends scala.runtime.AbstractFunction4<scala.Option<String>,scala.Option<String>,Object,Date,RolesSnapshotCreated> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RolesSnapshotCreated$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RolesSnapshotCreated$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RolesSnapshotCreated`
  `apply(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple4<scala.Option<String>,scala.Option<String>,Object,Date>>`
  `unapply(RolesSnapshotCreated x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction4

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function4

  `apply`

- ## Field Details

  - ### MODULE$

    public static final RolesSnapshotCreated$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### RolesSnapshotCreated$

    public RolesSnapshotCreated$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function4<scala.Option<String>,scala.Option<String>,Object,Date,RolesSnapshotCreated>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction4<scala.Option<String>,scala.Option<String>,Object,Date,RolesSnapshotCreated>`

  - ### apply

    public RolesSnapshotCreated apply(scala.Option<String> containerId, scala.Option<String> parentContainerId, boolean isInherited, Date snapshotDate)

  - ### unapply

    public scala.Option<scala.Tuple4<scala.Option<String>,scala.Option<String>,Object,Date>> unapply(RolesSnapshotCreated x$0)